SDL_RenderLine(3)

NAME
SDL_RenderLine - Draw a line on the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderLine(SDL_Renderer *renderer, float x1, float y1, float x2, float y2);

FUNCTION PARAMETERS

renderer
    The renderer which should draw a line.

x1  The x coordinate of the start point.

y1  The y coordinate of the start point.

x2  The x coordinate of the end point.

y2  The y coordinate of the end point.

RETURN VALUE
Returns 0 on success, or -1 on error

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderLines(3)